View Issue Details

IDProjectCategoryView StatusLast Update
0016471mantisbthtmlpublic2016-06-11 18:58
ReporterdregadAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016471: Use CSS to set alternating colors in HTML tables
Description

The helper_alternate_class function used to add odd and even classes to HTML
elements. This is not needed with modern CSS styled layouts.

Stylesheets will need to be updated to provide the correct styling now
that this function has been removed.

TagsNo tags attached.

Relationships

related to 0016470 closeddregad Double-line frame around some tables in the manage pages 
related to 0016472 closeddregad New alternate even/odd rows CSS causes ugly or incorrect display 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 6aa5e9b8

2013-10-08 19:35:00

Paul Richards

Details Diff
Port Remove helper_alternate_class function
The helper_alternate_class function used to add odd and even classes to HTML
elements. This is not needed with modern CSS styled layouts.

Stylesheets will need to be updated to provide the correct styling now
that this function has been removed.

commit 2e64cc66aaaf71f8ad664b21f053fcca1230fa1b
mod - account_page.php Diff File
mod - account_prefs_inc.php Diff File
mod - account_prof_menu_page.php Diff File
mod - adm_config_report.php Diff File
mod - adm_permissions_report.php Diff File
mod - admin/copy_field.php Diff File
mod - admin/index.php Diff File
mod - admin/move_attachments.php Diff File
mod - admin/move_attachments_page.php Diff File
mod - billing_inc.php Diff File
mod - bug_actiongroup_attach_tags_inc.php Diff File
mod - bug_actiongroup_page.php Diff File
mod - bug_change_status_page.php Diff File
mod - bug_reminder_page.php Diff File
mod - bug_report_page.php Diff File
mod - bug_revision_view_page.php Diff File
mod - bug_update_advanced_page.php Diff File
mod - bug_view_inc.php Diff File
mod - bugnote_add_inc.php Diff File
mod - bugnote_stats_inc.php Diff File
mod - core/authentication_api.php Diff File
mod - core/helper_api.php Diff File
mod - core/summary_api.php Diff File
mod - css/default.css Diff File
mod - history_inc.php Diff File
mod - login_page.php Diff File
mod - login_select_proj_page.php Diff File
mod - lost_pwd_page.php Diff File
mod - manage_columns_inc.php Diff File
mod - manage_config_email_page.php Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_workflow_page.php Diff File
mod - manage_custom_field_edit_page.php Diff File
mod - manage_custom_field_page.php Diff File
mod - manage_overview_page.php Diff File
mod - manage_plugin_page.php Diff File
mod - manage_proj_cat_edit_page.php Diff File
mod - manage_proj_create_page.php Diff File
mod - manage_proj_edit_page.php Diff File
mod - manage_proj_page.php Diff File
mod - manage_proj_ver_edit_page.php Diff File
mod - manage_tags_page.php Diff File
mod - manage_user_create_page.php Diff File
mod - manage_user_edit_page.php Diff File
mod - manage_user_page.php Diff File
mod - news_edit_page.php Diff File
mod - news_menu_page.php Diff File
mod - plugins/MantisCoreFormatting/pages/config.php Diff File
mod - plugins/MantisGraph/pages/config.php Diff File
mod - print_all_bug_options_inc.php Diff File
mod - proj_doc_page.php Diff File
mod - query_view_page.php Diff File
mod - signup_page.php Diff File
mod - tag_attach.php Diff File
mod - tag_update_page.php Diff File
mod - tag_view_page.php Diff File
mod - view_user_page.php Diff File

MantisBT: master e5091b59

2013-10-09 19:10:39

Paul Richards

Details Diff
CSS fixes to table formatting
mod - adm_config_report.php Diff File
mod - adm_permissions_report.php Diff File
mod - bug_report_page.php Diff File
mod - css/default.css Diff File
mod - css/rtl.css Diff File
mod - manage_config_email_page.php Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_workflow_page.php Diff File

MantisBT: master c68570d7

2013-10-12 03:05:55

dregad

Details Diff
adm_config_report.php: fix tables layout

Introduction of new CSS layout for alternate row colors, the header row
was displayed with the wrong style
mod - adm_config_report.php Diff File

MantisBT: master 9ba4fe9d

2014-07-14 19:00:19

Paul Richards


Committer: dregad Details Diff
Remove obsolete helper_alternate_colors() function

The helper_alternate_colors function used to add odd/even classes to
HTML elements, but dhx worked to remove these in 1.3.

Related functions were already removed, however this function was
missed.
mod - core/helper_api.php Diff File
mod - print_all_bug_page.php Diff File

MantisBT: master 51f2c782

2014-07-17 02:49:27

dregad

Details Diff
Fix html/css for print_all_bug_page.php

This is a follow-up on grangeway's commit to remove function
helper_alternate_colors() 9ba4fe9d65444aed9386bc9748e467fd5c12097c.

Issue 0016471
mod - print_all_bug_page.php Diff File

Issue History

Date Modified Username Field Change
2013-10-12 04:05 dregad New Issue
2013-10-12 04:05 dregad Status new => assigned
2013-10-12 04:05 dregad Assigned To => grangeway
2013-10-12 04:05 dregad Status assigned => resolved
2013-10-12 04:05 dregad Fixed in Version => 1.3.0-beta.1
2013-10-12 04:05 dregad Resolution open => fixed
2013-10-12 04:05 dregad Relationship added related to 0016470
2013-10-12 04:06 dregad Changeset attached => MantisBT master 6aa5e9b8
2013-10-12 04:07 dregad Changeset attached => MantisBT master e5091b59
2013-10-12 04:08 dregad Changeset attached => MantisBT master c68570d7
2013-10-12 04:13 dregad Issue cloned: 0016472
2013-10-12 04:13 dregad Relationship added related to 0016472
2014-12-08 00:34 vboctor Status resolved => closed
2016-06-11 18:56 dregad Changeset attached => MantisBT master 51f2c782
2016-06-11 18:58 dregad Changeset attached => MantisBT master 9ba4fe9d